#-------------------------------------------------------------------------------
# Name:        RemovePing.py
# Purpose:     For WriteFile log files
#              Reduces 3 consecutive identical numbers (frames) to 1
#              ( 0 1, 0 1, 0 1 to 0 1 ) or ( 5 1, 5 1, 5 1 to 5 1 )
#              new file is written in the same dir with the prefix 'new_'
#
# Author:      GPo
#
# Created:     14.06.2021
# Copyright:   (c) GPo 2021
# Licence:     <free>
#-------------------------------------------------------------------------------
import os
# run macro in new thread

filename = avsp.GetFilename(title='Open WriteFile log', filefilter=_('Text files') +
                            ' (*.txt)|*.txt|' + _('All files') + ' (*.*)|*.*',  default='')
if not filename:
    return
if os.path.getsize(filename) > 1024 * 500:
    avsp.MsgBox('File size to big')
    return

fDir, fName = os.path.split(filename)

with open(filename, mode='rb') as f:
    txt = f.read()
    f.close()
lines = txt.split('\n')
newTxt = ''
L = len(lines)
x = 0

try:
    while x < L:
        nr = lines[x].split(' ')[0]
        if nr.isdigit():
            newTxt += lines[x] + '\n'
            found = 1
            x += 1
            while x < L and lines[x].startswith(nr) and found < 3:
                x += 1
                found += 1
        else:
            newTxt += lines[x] + '\n'
            x += 1
except:
    avsp.MsgBox('Unknown error')
    return

saveName = os.path.join(fDir, 'new_' + fName)
try:
    with open( saveName, 'wb') as f:
        f.write(newTxt)
        f.close()
except IOErroras as err:
    raise
